%global dracutlibdir    %{_prefix}/lib/dracut

# https://github.com/coreos/coreos-installer
# NOTE: we are currently on the legacy branch
%global commit          e5aa5dcd858efcc67a6ea6f84d04582171b5d42c
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:      coreos-installer
Version:   0
Release:   2.rhaos4.4.git%{shortcommit}%{?dist}
Summary:   Installer for CoreOS style systems
License:   GPLv3
URL:       https://github.com/coreos/%{name}
Source0:   %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch: noarch


# Keep this up to date with the list in module-setup.sh
# https://github.com/coreos/coreos-installer/blob/master/dracut-module/module-setup.sh
Requires: /usr/bin/awk
Requires: /usr/bin/curl
Requires: /usr/bin/dc
Requires: /usr/bin/dd
Requires: /usr/bin/gpg2
Requires: /usr/bin/grep
Requires: /usr/bin/gzip
Requires: /usr/bin/lsblk
Requires: /usr/bin/ps
Requires: /usr/bin/sha256sum
Requires: /usr/bin/tail
Requires: /usr/bin/tr
Requires: /usr/bin/zcat
Requires: /usr/bin/xzcat
Requires: /usr/sbin/blockdev
Requires: /usr/sbin/wipefs


%description
This package contains the coreos-installer script used to install CoreOS
disk images to bare metal machines.

%prep
%autosetup -n %{name}-%{commit} -p1

%build

%install
# main package
install -d -p %{buildroot}%{_libexecdir}
install -p -m 0755 ./coreos-installer %{buildroot}%{_libexecdir}
# dracut subpackage
install -d -p %{buildroot}/%{dracutlibdir}/modules.d
cp -r dracut/* %{buildroot}/%{dracutlibdir}/modules.d/


%files
%doc README.md
%license LICENSE
%{_libexecdir}/coreos-installer

############## dracut subpackage ##############
%package dracut

Summary:   Dracut modules for CoreOS Installer
License:   GPLv3
Requires:  %{name} = %{version}-%{release}
Requires:  dracut
Requires:  dracut-network

%description dracut
Dracut module that enables the CoreOS installer to run in the
initramfs on boot.

%files dracut
%doc README.md
%license LICENSE
%{dracutlibdir}/modules.d/30coreos-installer
%{dracutlibdir}/modules.d/99emergency-failure
############## end dracut subpackage ##############

%changelog
* Thu Dec 19 2019 Allen Bai <abai@redhat.com> - 0-2.gite5aa5dc
- Rebuild since previous build failed to get tagged
- RCM ticket: https://projects.engineering.redhat.com/browse/RCM-73239

* Wed Dec 18 2019 Allen Bai <abai@redhat.com> - 0-1.gite5aa5dc
- Initial commit
